diff --git a/CMakeLists.txt b/CMakeLists.txt
index 00eb54b3..c4809e01 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -471,578 +471,1225 @@ set(DEP_MD5 $<TARGET_OBJECTS:json> $<TARGET_OBJECTS:md5>)
 ########################################################################
 
 set(EXPECTED_DATA
-  audio/foley_body_impact-01.wv
-  audio/foley_body_impact-02.wv
-  audio/foley_body_impact-03.wv
-  audio/foley_body_splat-01.wv
-  audio/foley_body_splat-02.wv
-  audio/foley_body_splat-03.wv
-  audio/foley_body_splat-04.wv
-  audio/foley_dbljump-01.wv
-  audio/foley_dbljump-02.wv
-  audio/foley_dbljump-03.wv
-  audio/foley_foot_left-01.wv
-  audio/foley_foot_left-02.wv
-  audio/foley_foot_left-03.wv
-  audio/foley_foot_left-04.wv
-  audio/foley_foot_right-01.wv
-  audio/foley_foot_right-02.wv
-  audio/foley_foot_right-03.wv
-  audio/foley_foot_right-04.wv
-  audio/foley_land-01.wv
-  audio/foley_land-02.wv
-  audio/foley_land-03.wv
-  audio/foley_land-04.wv
-  audio/hook_attach-01.wv
-  audio/hook_attach-02.wv
-  audio/hook_attach-03.wv
-  audio/hook_loop-01.wv
-  audio/hook_loop-02.wv
-  audio/hook_noattach-01.wv
-  audio/hook_noattach-02.wv
-  audio/hook_noattach-03.wv
-  audio/music_menu.wv
-  audio/sfx_ctf_cap_pl.wv
-  audio/sfx_ctf_drop.wv
-  audio/sfx_ctf_grab_en.wv
-  audio/sfx_ctf_grab_pl.wv
-  audio/sfx_ctf_rtn.wv
-  audio/sfx_hit_strong-01.wv
-  audio/sfx_hit_strong-02.wv
-  audio/sfx_hit_weak-01.wv
-  audio/sfx_hit_weak-02.wv
-  audio/sfx_hit_weak-03.wv
-  audio/sfx_msg-client.wv
-  audio/sfx_msg-highlight.wv
-  audio/sfx_msg-server.wv
-  audio/sfx_pickup_arm-01.wv
-  audio/sfx_pickup_arm-02.wv
-  audio/sfx_pickup_arm-03.wv
-  audio/sfx_pickup_arm-04.wv
-  audio/sfx_pickup_gun.wv
-  audio/sfx_pickup_hrt-01.wv
-  audio/sfx_pickup_hrt-02.wv
-  audio/sfx_pickup_launcher.wv
-  audio/sfx_pickup_ninja.wv
-  audio/sfx_pickup_sg.wv
-  audio/sfx_skid-01.wv
-  audio/sfx_skid-02.wv
-  audio/sfx_skid-03.wv
-  audio/sfx_skid-04.wv
-  audio/sfx_spawn_wpn-01.wv
-  audio/sfx_spawn_wpn-02.wv
-  audio/sfx_spawn_wpn-03.wv
-  audio/vo_teefault_cry-01.wv
-  audio/vo_teefault_cry-02.wv
-  audio/vo_teefault_ninja-01.wv
-  audio/vo_teefault_ninja-02.wv
-  audio/vo_teefault_ninja-03.wv
-  audio/vo_teefault_ninja-04.wv
-  audio/vo_teefault_pain_long-01.wv
-  audio/vo_teefault_pain_long-02.wv
-  audio/vo_teefault_pain_short-01.wv
-  audio/vo_teefault_pain_short-02.wv
-  audio/vo_teefault_pain_short-03.wv
-  audio/vo_teefault_pain_short-04.wv
-  audio/vo_teefault_pain_short-05.wv
-  audio/vo_teefault_pain_short-06.wv
-  audio/vo_teefault_pain_short-07.wv
-  audio/vo_teefault_pain_short-08.wv
-  audio/vo_teefault_pain_short-09.wv
-  audio/vo_teefault_pain_short-10.wv
-  audio/vo_teefault_pain_short-11.wv
-  audio/vo_teefault_pain_short-12.wv
-  audio/vo_teefault_sledge-01.wv
-  audio/vo_teefault_sledge-02.wv
-  audio/vo_teefault_sledge-03.wv
-  audio/vo_teefault_spawn-01.wv
-  audio/vo_teefault_spawn-02.wv
-  audio/vo_teefault_spawn-03.wv
-  audio/vo_teefault_spawn-04.wv
-  audio/vo_teefault_spawn-05.wv
-  audio/vo_teefault_spawn-06.wv
-  audio/vo_teefault_spawn-07.wv
-  audio/wp_flump_explo-01.wv
-  audio/wp_flump_explo-02.wv
-  audio/wp_flump_explo-03.wv
-  audio/wp_flump_launch-01.wv
-  audio/wp_flump_launch-02.wv
-  audio/wp_flump_launch-03.wv
-  audio/wp_gun_fire-01.wv
-  audio/wp_gun_fire-02.wv
-  audio/wp_gun_fire-03.wv
-  audio/wp_hammer_hit-01.wv
-  audio/wp_hammer_hit-02.wv
-  audio/wp_hammer_hit-03.wv
-  audio/wp_hammer_swing-01.wv
-  audio/wp_hammer_swing-02.wv
-  audio/wp_hammer_swing-03.wv
-  audio/wp_laser_bnce-01.wv
-  audio/wp_laser_bnce-02.wv
-  audio/wp_laser_bnce-03.wv
-  audio/wp_laser_fire-01.wv
-  audio/wp_laser_fire-02.wv
-  audio/wp_laser_fire-03.wv
-  audio/wp_ninja_attack-01.wv
-  audio/wp_ninja_attack-02.wv
-  audio/wp_ninja_attack-03.wv
-  audio/wp_ninja_attack-04.wv
-  audio/wp_ninja_hit-01.wv
-  audio/wp_ninja_hit-02.wv
-  audio/wp_ninja_hit-03.wv
-  audio/wp_ninja_hit-04.wv
-  audio/wp_noammo-01.wv
-  audio/wp_noammo-02.wv
-  audio/wp_noammo-03.wv
-  audio/wp_noammo-04.wv
-  audio/wp_noammo-05.wv
-  audio/wp_shotty_fire-01.wv
-  audio/wp_shotty_fire-02.wv
-  audio/wp_shotty_fire-03.wv
-  audio/wp_switch-01.wv
-  audio/wp_switch-02.wv
-  audio/wp_switch-03.wv
-  countryflags/AD.png
-  countryflags/AE.png
-  countryflags/AF.png
-  countryflags/AG.png
-  countryflags/AI.png
-  countryflags/AL.png
-  countryflags/AM.png
-  countryflags/AO.png
-  countryflags/AR.png
-  countryflags/AS.png
-  countryflags/AT.png
-  countryflags/AU.png
-  countryflags/AW.png
-  countryflags/AX.png
-  countryflags/AZ.png
-  countryflags/BA.png
-  countryflags/BB.png
-  countryflags/BD.png
-  countryflags/BE.png
-  countryflags/BF.png
-  countryflags/BG.png
-  countryflags/BH.png
-  countryflags/BI.png
-  countryflags/BJ.png
-  countryflags/BL.png
-  countryflags/BM.png
-  countryflags/BN.png
-  countryflags/BO.png
-  countryflags/BR.png
-  countryflags/BS.png
-  countryflags/BT.png
-  countryflags/BW.png
-  countryflags/BY.png
-  countryflags/BZ.png
-  countryflags/CA.png
-  countryflags/CC.png
-  countryflags/CD.png
-  countryflags/CF.png
-  countryflags/CG.png
-  countryflags/CH.png
-  countryflags/CI.png
-  countryflags/CK.png
-  countryflags/CL.png
-  countryflags/CM.png
-  countryflags/CN.png
-  countryflags/CO.png
-  countryflags/CR.png
-  countryflags/CU.png
-  countryflags/CV.png
-  countryflags/CW.png
-  countryflags/CX.png
-  countryflags/CY.png
-  countryflags/CZ.png
-  countryflags/DE.png
-  countryflags/DJ.png
-  countryflags/DK.png
-  countryflags/DM.png
-  countryflags/DO.png
-  countryflags/DZ.png
-  countryflags/EC.png
-  countryflags/EE.png
-  countryflags/EG.png
-  countryflags/EH.png
-  countryflags/ER.png
-  countryflags/ES.png
-  countryflags/ET.png
-  countryflags/FI.png
-  countryflags/FJ.png
-  countryflags/FK.png
-  countryflags/FM.png
-  countryflags/FO.png
-  countryflags/FR.png
-  countryflags/GA.png
-  countryflags/GB.png
-  countryflags/GD.png
-  countryflags/GE.png
-  countryflags/GF.png
-  countryflags/GG.png
-  countryflags/GH.png
-  countryflags/GI.png
-  countryflags/GL.png
-  countryflags/GM.png
-  countryflags/GN.png
-  countryflags/GP.png
-  countryflags/GQ.png
-  countryflags/GR.png
-  countryflags/GS.png
-  countryflags/GT.png
-  countryflags/GU.png
-  countryflags/GW.png
-  countryflags/GY.png
-  countryflags/HK.png
-  countryflags/HN.png
-  countryflags/HR.png
-  countryflags/HT.png
-  countryflags/HU.png
-  countryflags/ID.png
-  countryflags/IE.png
-  countryflags/IL.png
-  countryflags/IM.png
-  countryflags/IN.png
-  countryflags/IO.png
-  countryflags/IQ.png
-  countryflags/IR.png
-  countryflags/IS.png
-  countryflags/IT.png
-  countryflags/JE.png
-  countryflags/JM.png
-  countryflags/JO.png
-  countryflags/JP.png
-  countryflags/KE.png
-  countryflags/KG.png
-  countryflags/KH.png
-  countryflags/KI.png
-  countryflags/KM.png
-  countryflags/KN.png
-  countryflags/KP.png
-  countryflags/KR.png
-  countryflags/KW.png
-  countryflags/KY.png
-  countryflags/KZ.png
-  countryflags/LA.png
-  countryflags/LB.png
-  countryflags/LC.png
-  countryflags/LI.png
-  countryflags/LK.png
-  countryflags/LR.png
-  countryflags/LS.png
-  countryflags/LT.png
-  countryflags/LU.png
-  countryflags/LV.png
-  countryflags/LY.png
-  countryflags/MA.png
-  countryflags/MC.png
-  countryflags/MD.png
-  countryflags/ME.png
-  countryflags/MF.png
-  countryflags/MG.png
-  countryflags/MH.png
-  countryflags/MK.png
-  countryflags/ML.png
-  countryflags/MM.png
-  countryflags/MN.png
-  countryflags/MO.png
-  countryflags/MP.png
-  countryflags/MQ.png
-  countryflags/MR.png
-  countryflags/MS.png
-  countryflags/MT.png
-  countryflags/MU.png
-  countryflags/MV.png
-  countryflags/MW.png
-  countryflags/MX.png
-  countryflags/MY.png
-  countryflags/MZ.png
-  countryflags/NA.png
-  countryflags/NC.png
-  countryflags/NE.png
-  countryflags/NF.png
-  countryflags/NG.png
-  countryflags/NI.png
-  countryflags/NL.png
-  countryflags/NO.png
-  countryflags/NP.png
-  countryflags/NR.png
-  countryflags/NU.png
-  countryflags/NZ.png
-  countryflags/OM.png
-  countryflags/PA.png
-  countryflags/PE.png
-  countryflags/PF.png
-  countryflags/PG.png
-  countryflags/PH.png
-  countryflags/PK.png
-  countryflags/PL.png
-  countryflags/PM.png
-  countryflags/PN.png
-  countryflags/PR.png
-  countryflags/PS.png
-  countryflags/PT.png
-  countryflags/PW.png
-  countryflags/PY.png
-  countryflags/QA.png
-  countryflags/RE.png
-  countryflags/RO.png
-  countryflags/RS.png
-  countryflags/RU.png
-  countryflags/RW.png
-  countryflags/SA.png
-  countryflags/SB.png
-  countryflags/SC.png
-  countryflags/SD.png
-  countryflags/SE.png
-  countryflags/SG.png
-  countryflags/SH.png
-  countryflags/SI.png
-  countryflags/SK.png
-  countryflags/SL.png
-  countryflags/SM.png
-  countryflags/SN.png
-  countryflags/SO.png
-  countryflags/SR.png
-  countryflags/SS.png
-  countryflags/ST.png
-  countryflags/SV.png
-  countryflags/SX.png
-  countryflags/SY.png
-  countryflags/SZ.png
-  countryflags/TC.png
-  countryflags/TD.png
-  countryflags/TF.png
-  countryflags/TG.png
-  countryflags/TH.png
-  countryflags/TJ.png
-  countryflags/TK.png
-  countryflags/TL.png
-  countryflags/TM.png
-  countryflags/TN.png
-  countryflags/TO.png
-  countryflags/TR.png
-  countryflags/TT.png
-  countryflags/TV.png
-  countryflags/TW.png
-  countryflags/TZ.png
-  countryflags/UA.png
-  countryflags/UG.png
-  countryflags/US.png
-  countryflags/UY.png
-  countryflags/UZ.png
-  countryflags/VA.png
-  countryflags/VC.png
-  countryflags/VE.png
-  countryflags/VG.png
-  countryflags/VI.png
-  countryflags/VN.png
-  countryflags/VU.png
-  countryflags/WF.png
-  countryflags/WS.png
-  countryflags/XBZ.png
-  countryflags/XCA.png
-  countryflags/XEN.png
-  countryflags/XES.png
-  countryflags/XGA.png
-  countryflags/XNI.png
-  countryflags/XSC.png
-  countryflags/XWA.png
-  countryflags/YE.png
-  countryflags/ZA.png
-  countryflags/ZM.png
-  countryflags/ZW.png
-  countryflags/default.png
-  countryflags/index.json
-  deadtee.png
-  editor/automap/desert_main.json
-  editor/automap/grass_doodads.json
-  editor/automap/grass_main.json
-  editor/automap/jungle_main.json
-  editor/automap/winter_main.json
-  editor/background.png
-  editor/checker.png
-  editor/cursor.png
-  editor/entities.png
-  emoticons.png
-  fonts/DejaVuSans.ttf
-  game.png
-  languages/belarusian.json
-  languages/bosnian.json
-  languages/brazilian_portuguese.json
-  languages/breton.json
-  languages/bulgarian.json
-  languages/catalan.json
-  languages/chuvash.json
-  languages/czech.json
-  languages/danish.json
-  languages/dutch.json
-  languages/esperanto.json
-  languages/estonian.json
-  languages/finnish.json
-  languages/french.json
-  languages/gaelic_scottish.json
-  languages/galician.json
-  languages/german.json
-  languages/greek.json
-  languages/hungarian.json
-  languages/index.json
-  languages/irish.json
-  languages/italian.json
-  languages/japanese.json
-  languages/korean.json
-  languages/kyrgyz.json
-  languages/license.txt
-  languages/lithuanian.json
-  languages/norwegian.json
-  languages/polish.json
-  languages/portuguese.json
-  languages/readme.txt
-  languages/romanian.json
-  languages/russian.json
-  languages/serbian.json
-  languages/simplified_chinese.json
-  languages/slovak.json
-  languages/slovenian.json
-  languages/spanish.json
-  languages/swedish.json
-  languages/traditional_chinese.json
-  languages/turkish.json
-  languages/ukrainian.json
-  mapres/bg_cloud1.png
-  mapres/bg_cloud2.png
-  mapres/bg_cloud3.png
-  mapres/desert_doodads.png
-  mapres/desert_main.png
-  mapres/desert_mountains.png
-  mapres/desert_mountains2.png
-  mapres/desert_sun.png
-  mapres/easter.png
-  mapres/generic_deathtiles.png
-  mapres/generic_lamps.png
-  mapres/generic_shadows.png
-  mapres/generic_unhookable.png
-  mapres/grass_doodads.png
-  mapres/grass_main.png
-  mapres/jungle_background.png
-  mapres/jungle_deathtiles.png
-  mapres/jungle_doodads.png
-  mapres/jungle_main.png
-  mapres/jungle_midground.png
-  mapres/jungle_unhookables.png
-  mapres/light.png
-  mapres/moon.png
-  mapres/mountains.png
-  mapres/snow.png
-  mapres/stars.png
-  mapres/sun.png
-  mapres/winter_doodads.png
-  mapres/winter_main.png
-  mapres/winter_mountains.png
-  mapres/winter_mountains2.png
-  mapres/winter_mountains3.png
-  maps/ctf1.map
-  maps/ctf2.map
-  maps/ctf3.map
-  maps/ctf4.map
-  maps/ctf5.map
-  maps/ctf6.map
-  maps/ctf7.map
-  maps/ctf8.map
-  maps/dm1.map
-  maps/dm2.map
-  maps/dm3.map
-  maps/dm6.map
-  maps/dm7.map
-  maps/dm8.map
-  maps/dm9.map
-  maps/license.txt
-  maps/lms1.map
-  maps/readme.txt
-  particles.png
-  skins/bluekitty.json
-  skins/bluestripe.json
-  skins/body/bear.png
-  skins/body/kitty.png
-  skins/body/standard.png
-  skins/body/x_ninja.png
-  skins/bot.png
-  skins/brownbear.json
-  skins/cammo.json
-  skins/cammostripes.json
-  skins/decoration/hair.png
-  skins/decoration/twinbopp.png
-  skins/decoration/unibop.png
-  skins/default.json
-  skins/eyes/standard.png
-  skins/eyes/standardreal.png
-  skins/eyes/x_ninja.png
-  skins/feet/standard.png
-  skins/hands/standard.png
-  skins/koala.json
-  skins/limekitty.json
-  skins/marking/bear.png
-  skins/marking/cammo1.png
-  skins/marking/cammo2.png
-  skins/marking/cammostripes.png
-  skins/marking/donny.png
-  skins/marking/duodonny.png
-  skins/marking/saddo.png
-  skins/marking/stripe.png
-  skins/marking/stripes.png
-  skins/marking/toptri.png
-  skins/marking/twintri.png
-  skins/marking/uppy.png
-  skins/marking/warpaint.png
-  skins/marking/whisker.png
-  skins/pinky.json
-  skins/redbopp.json
-  skins/redstripe.json
-  skins/saddo.json
-  skins/toptri.json
-  skins/twinbop.json
-  skins/twintri.json
-  skins/warpaint.json
-  skins/x_ninja.json
-  skins/xmas_hat.png
-  ui/blob.png
-  ui/console.png
-  ui/console_bar.png
-  ui/debug_font.png
-  ui/demo_buttons.png
-  ui/file_icons.png
-  ui/gametypes/ctf.png
-  ui/gametypes/dm.png
-  ui/gametypes/lms.png
-  ui/gametypes/lts.png
-  ui/gametypes/mod.png
-  ui/gametypes/tdm.png
-  ui/gui_buttons.png
-  ui/gui_cursor.png
-  ui/gui_icons.png
-  ui/gui_logo.png
-  ui/icons/arrows.png
-  ui/icons/browse.png
-  ui/icons/chat_whisper.png
-  ui/icons/friend.png
-  ui/icons/level.png
-  ui/icons/menu.png
-  ui/icons/sidebar.png
-  ui/icons/tools.png
-  ui/menuimages/demos.png
-  ui/menuimages/editor.png
-  ui/menuimages/local_server.png
-  ui/menuimages/play_game.png
-  ui/menuimages/settings.png
-  ui/no_skinpart.png
-  ui/sound_icons.png
-  ui/themes/heavens.png
-  ui/themes/heavens_day.map
-  ui/themes/heavens_night.map
-  ui/themes/jungle.png
-  ui/themes/jungle_day.map
-  ui/themes/jungle_night.map
-  ui/themes/none.png
+  "CMakeCache.txt"
+  "CMakeFiles/CMakeRuleHashes.txt"
+  "CMakeFiles/TargetDirectories.txt"
+  "CMakeFiles/crapnet.dir/link.txt"
+  "CMakeFiles/fake_server.dir/link.txt"
+  "CMakeFiles/map_resave.dir/link.txt"
+  "CMakeFiles/map_version.dir/link.txt"
+  "CMakeFiles/mastersrv.dir/link.txt"
+  "CMakeFiles/packetgen.dir/link.txt"
+  "CMakeFiles/teeworlds.dir/link.txt"
+  "CMakeFiles/teeworlds_srv-Launcher.dir/link.txt"
+  "CMakeFiles/teeworlds_srv.dir/link.txt"
+  "CMakeFiles/versionsrv.dir/link.txt"
+  "audio/dominating.wv"
+  "audio/firstblood.wv"
+  "audio/foley_body_impact-01.wv"
+  "audio/foley_body_impact-02.wv"
+  "audio/foley_body_impact-03.wv"
+  "audio/foley_body_splat-01.wv"
+  "audio/foley_body_splat-02.wv"
+  "audio/foley_body_splat-03.wv"
+  "audio/foley_body_splat-04.wv"
+  "audio/foley_dbljump-01.wv"
+  "audio/foley_dbljump-02.wv"
+  "audio/foley_dbljump-03.wv"
+  "audio/foley_foot_left-01.wv"
+  "audio/foley_foot_left-02.wv"
+  "audio/foley_foot_left-03.wv"
+  "audio/foley_foot_left-04.wv"
+  "audio/foley_foot_right-01.wv"
+  "audio/foley_foot_right-02.wv"
+  "audio/foley_foot_right-03.wv"
+  "audio/foley_foot_right-04.wv"
+  "audio/foley_land-01.wv"
+  "audio/foley_land-02.wv"
+  "audio/foley_land-03.wv"
+  "audio/foley_land-04.wv"
+  "audio/godlike.wv"
+  "audio/holyshit.wv"
+  "audio/hook_attach-01.wv"
+  "audio/hook_attach-02.wv"
+  "audio/hook_attach-03.wv"
+  "audio/hook_loop-01.wv"
+  "audio/hook_loop-02.wv"
+  "audio/hook_noattach-01.wv"
+  "audio/hook_noattach-02.wv"
+  "audio/hook_noattach-03.wv"
+  "audio/humiliation.wv"
+  "audio/killingspree.wv"
+  "audio/music_menu.wv"
+  "audio/preparetofight.wv"
+  "audio/preparetokill.wv"
+  "audio/rampage.wv"
+  "audio/sfx_ctf_cap_pl.wv"
+  "audio/sfx_ctf_drop.wv"
+  "audio/sfx_ctf_grab_en.wv"
+  "audio/sfx_ctf_grab_pl.wv"
+  "audio/sfx_ctf_rtn.wv"
+  "audio/sfx_hit_strong-01.wv"
+  "audio/sfx_hit_strong-02.wv"
+  "audio/sfx_hit_weak-01.wv"
+  "audio/sfx_hit_weak-02.wv"
+  "audio/sfx_hit_weak-03.wv"
+  "audio/sfx_msg-client.wv"
+  "audio/sfx_msg-highlight.wv"
+  "audio/sfx_msg-server.wv"
+  "audio/sfx_pickup_arm-01.wv"
+  "audio/sfx_pickup_arm-02.wv"
+  "audio/sfx_pickup_arm-03.wv"
+  "audio/sfx_pickup_arm-04.wv"
+  "audio/sfx_pickup_gun.wv"
+  "audio/sfx_pickup_hrt-01.wv"
+  "audio/sfx_pickup_hrt-02.wv"
+  "audio/sfx_pickup_launcher.wv"
+  "audio/sfx_pickup_ninja.wv"
+  "audio/sfx_pickup_sg.wv"
+  "audio/sfx_skid-01.wv"
+  "audio/sfx_skid-02.wv"
+  "audio/sfx_skid-03.wv"
+  "audio/sfx_skid-04.wv"
+  "audio/sfx_spawn_wpn-01.wv"
+  "audio/sfx_spawn_wpn-02.wv"
+  "audio/sfx_spawn_wpn-03.wv"
+  "audio/unstoppable.wv"
+  "audio/vo_teefault_cry-01.wv"
+  "audio/vo_teefault_cry-02.wv"
+  "audio/vo_teefault_ninja-01.wv"
+  "audio/vo_teefault_ninja-02.wv"
+  "audio/vo_teefault_ninja-03.wv"
+  "audio/vo_teefault_ninja-04.wv"
+  "audio/vo_teefault_pain_long-01.wv"
+  "audio/vo_teefault_pain_long-02.wv"
+  "audio/vo_teefault_pain_short-01.wv"
+  "audio/vo_teefault_pain_short-02.wv"
+  "audio/vo_teefault_pain_short-03.wv"
+  "audio/vo_teefault_pain_short-04.wv"
+  "audio/vo_teefault_pain_short-05.wv"
+  "audio/vo_teefault_pain_short-06.wv"
+  "audio/vo_teefault_pain_short-07.wv"
+  "audio/vo_teefault_pain_short-08.wv"
+  "audio/vo_teefault_pain_short-09.wv"
+  "audio/vo_teefault_pain_short-10.wv"
+  "audio/vo_teefault_pain_short-11.wv"
+  "audio/vo_teefault_pain_short-12.wv"
+  "audio/vo_teefault_sledge-01.wv"
+  "audio/vo_teefault_sledge-02.wv"
+  "audio/vo_teefault_sledge-03.wv"
+  "audio/vo_teefault_spawn-01.wv"
+  "audio/vo_teefault_spawn-02.wv"
+  "audio/vo_teefault_spawn-03.wv"
+  "audio/vo_teefault_spawn-04.wv"
+  "audio/vo_teefault_spawn-05.wv"
+  "audio/vo_teefault_spawn-06.wv"
+  "audio/vo_teefault_spawn-07.wv"
+  "audio/wickedsick.wv"
+  "audio/wp_flump_explo-01.wv"
+  "audio/wp_flump_explo-02.wv"
+  "audio/wp_flump_explo-03.wv"
+  "audio/wp_flump_launch-01.wv"
+  "audio/wp_flump_launch-02.wv"
+  "audio/wp_flump_launch-03.wv"
+  "audio/wp_gun_fire-01.wv"
+  "audio/wp_gun_fire-02.wv"
+  "audio/wp_gun_fire-03.wv"
+  "audio/wp_hammer_hit-01.wv"
+  "audio/wp_hammer_hit-02.wv"
+  "audio/wp_hammer_hit-03.wv"
+  "audio/wp_hammer_swing-01.wv"
+  "audio/wp_hammer_swing-02.wv"
+  "audio/wp_hammer_swing-03.wv"
+  "audio/wp_laser_bnce-01.wv"
+  "audio/wp_laser_bnce-02.wv"
+  "audio/wp_laser_bnce-03.wv"
+  "audio/wp_laser_fire-01.wv"
+  "audio/wp_laser_fire-02.wv"
+  "audio/wp_laser_fire-03.wv"
+  "audio/wp_ninja_attack-01.wv"
+  "audio/wp_ninja_attack-02.wv"
+  "audio/wp_ninja_attack-03.wv"
+  "audio/wp_ninja_attack-04.wv"
+  "audio/wp_ninja_hit-01.wv"
+  "audio/wp_ninja_hit-02.wv"
+  "audio/wp_ninja_hit-03.wv"
+  "audio/wp_ninja_hit-04.wv"
+  "audio/wp_noammo-01.wv"
+  "audio/wp_noammo-02.wv"
+  "audio/wp_noammo-03.wv"
+  "audio/wp_noammo-04.wv"
+  "audio/wp_noammo-05.wv"
+  "audio/wp_shotty_fire-01.wv"
+  "audio/wp_shotty_fire-02.wv"
+  "audio/wp_shotty_fire-03.wv"
+  "audio/wp_switch-01.wv"
+  "audio/wp_switch-02.wv"
+  "audio/wp_switch-03.wv"
+  "countryflags/AD.png"
+  "countryflags/AE.png"
+  "countryflags/AF.png"
+  "countryflags/AG.png"
+  "countryflags/AI.png"
+  "countryflags/AL.png"
+  "countryflags/AM.png"
+  "countryflags/AO.png"
+  "countryflags/AR.png"
+  "countryflags/AS.png"
+  "countryflags/AT.png"
+  "countryflags/AU.png"
+  "countryflags/AW.png"
+  "countryflags/AX.png"
+  "countryflags/AZ.png"
+  "countryflags/BA.png"
+  "countryflags/BB.png"
+  "countryflags/BD.png"
+  "countryflags/BE.png"
+  "countryflags/BF.png"
+  "countryflags/BG.png"
+  "countryflags/BH.png"
+  "countryflags/BI.png"
+  "countryflags/BJ.png"
+  "countryflags/BL.png"
+  "countryflags/BM.png"
+  "countryflags/BN.png"
+  "countryflags/BO.png"
+  "countryflags/BR.png"
+  "countryflags/BS.png"
+  "countryflags/BT.png"
+  "countryflags/BW.png"
+  "countryflags/BY.png"
+  "countryflags/BZ.png"
+  "countryflags/CA.png"
+  "countryflags/CC.png"
+  "countryflags/CD.png"
+  "countryflags/CF.png"
+  "countryflags/CG.png"
+  "countryflags/CH.png"
+  "countryflags/CI.png"
+  "countryflags/CK.png"
+  "countryflags/CL.png"
+  "countryflags/CM.png"
+  "countryflags/CN.png"
+  "countryflags/CO.png"
+  "countryflags/CR.png"
+  "countryflags/CU.png"
+  "countryflags/CV.png"
+  "countryflags/CW.png"
+  "countryflags/CX.png"
+  "countryflags/CY.png"
+  "countryflags/CZ.png"
+  "countryflags/DE.png"
+  "countryflags/DJ.png"
+  "countryflags/DK.png"
+  "countryflags/DM.png"
+  "countryflags/DO.png"
+  "countryflags/DZ.png"
+  "countryflags/EC.png"
+  "countryflags/EE.png"
+  "countryflags/EG.png"
+  "countryflags/EH.png"
+  "countryflags/ER.png"
+  "countryflags/ES.png"
+  "countryflags/ET.png"
+  "countryflags/FI.png"
+  "countryflags/FJ.png"
+  "countryflags/FK.png"
+  "countryflags/FM.png"
+  "countryflags/FO.png"
+  "countryflags/FR.png"
+  "countryflags/GA.png"
+  "countryflags/GB.png"
+  "countryflags/GD.png"
+  "countryflags/GE.png"
+  "countryflags/GF.png"
+  "countryflags/GG.png"
+  "countryflags/GH.png"
+  "countryflags/GI.png"
+  "countryflags/GL.png"
+  "countryflags/GM.png"
+  "countryflags/GN.png"
+  "countryflags/GP.png"
+  "countryflags/GQ.png"
+  "countryflags/GR.png"
+  "countryflags/GS.png"
+  "countryflags/GT.png"
+  "countryflags/GU.png"
+  "countryflags/GW.png"
+  "countryflags/GY.png"
+  "countryflags/HK.png"
+  "countryflags/HN.png"
+  "countryflags/HR.png"
+  "countryflags/HT.png"
+  "countryflags/HU.png"
+  "countryflags/ID.png"
+  "countryflags/IE.png"
+  "countryflags/IL.png"
+  "countryflags/IM.png"
+  "countryflags/IN.png"
+  "countryflags/IO.png"
+  "countryflags/IQ.png"
+  "countryflags/IR.png"
+  "countryflags/IS.png"
+  "countryflags/IT.png"
+  "countryflags/JE.png"
+  "countryflags/JM.png"
+  "countryflags/JO.png"
+  "countryflags/JP.png"
+  "countryflags/KE.png"
+  "countryflags/KG.png"
+  "countryflags/KH.png"
+  "countryflags/KI.png"
+  "countryflags/KM.png"
+  "countryflags/KN.png"
+  "countryflags/KP.png"
+  "countryflags/KR.png"
+  "countryflags/KW.png"
+  "countryflags/KY.png"
+  "countryflags/KZ.png"
+  "countryflags/LA.png"
+  "countryflags/LB.png"
+  "countryflags/LC.png"
+  "countryflags/LI.png"
+  "countryflags/LK.png"
+  "countryflags/LR.png"
+  "countryflags/LS.png"
+  "countryflags/LT.png"
+  "countryflags/LU.png"
+  "countryflags/LV.png"
+  "countryflags/LY.png"
+  "countryflags/MA.png"
+  "countryflags/MC.png"
+  "countryflags/MD.png"
+  "countryflags/ME.png"
+  "countryflags/MF.png"
+  "countryflags/MG.png"
+  "countryflags/MH.png"
+  "countryflags/MK.png"
+  "countryflags/ML.png"
+  "countryflags/MM.png"
+  "countryflags/MN.png"
+  "countryflags/MO.png"
+  "countryflags/MP.png"
+  "countryflags/MQ.png"
+  "countryflags/MR.png"
+  "countryflags/MS.png"
+  "countryflags/MT.png"
+  "countryflags/MU.png"
+  "countryflags/MV.png"
+  "countryflags/MW.png"
+  "countryflags/MX.png"
+  "countryflags/MY.png"
+  "countryflags/MZ.png"
+  "countryflags/NA.png"
+  "countryflags/NC.png"
+  "countryflags/NE.png"
+  "countryflags/NF.png"
+  "countryflags/NG.png"
+  "countryflags/NI.png"
+  "countryflags/NL.png"
+  "countryflags/NO.png"
+  "countryflags/NP.png"
+  "countryflags/NR.png"
+  "countryflags/NU.png"
+  "countryflags/NZ.png"
+  "countryflags/OM.png"
+  "countryflags/PA.png"
+  "countryflags/PE.png"
+  "countryflags/PF.png"
+  "countryflags/PG.png"
+  "countryflags/PH.png"
+  "countryflags/PK.png"
+  "countryflags/PL.png"
+  "countryflags/PM.png"
+  "countryflags/PN.png"
+  "countryflags/PR.png"
+  "countryflags/PS.png"
+  "countryflags/PT.png"
+  "countryflags/PW.png"
+  "countryflags/PY.png"
+  "countryflags/QA.png"
+  "countryflags/RE.png"
+  "countryflags/RO.png"
+  "countryflags/RS.png"
+  "countryflags/RU.png"
+  "countryflags/RW.png"
+  "countryflags/SA.png"
+  "countryflags/SB.png"
+  "countryflags/SC.png"
+  "countryflags/SD.png"
+  "countryflags/SE.png"
+  "countryflags/SG.png"
+  "countryflags/SH.png"
+  "countryflags/SI.png"
+  "countryflags/SK.png"
+  "countryflags/SL.png"
+  "countryflags/SM.png"
+  "countryflags/SN.png"
+  "countryflags/SO.png"
+  "countryflags/SR.png"
+  "countryflags/SS.png"
+  "countryflags/ST.png"
+  "countryflags/SV.png"
+  "countryflags/SX.png"
+  "countryflags/SY.png"
+  "countryflags/SZ.png"
+  "countryflags/TC.png"
+  "countryflags/TD.png"
+  "countryflags/TF.png"
+  "countryflags/TG.png"
+  "countryflags/TH.png"
+  "countryflags/TJ.png"
+  "countryflags/TK.png"
+  "countryflags/TL.png"
+  "countryflags/TM.png"
+  "countryflags/TN.png"
+  "countryflags/TO.png"
+  "countryflags/TR.png"
+  "countryflags/TT.png"
+  "countryflags/TV.png"
+  "countryflags/TW.png"
+  "countryflags/TZ.png"
+  "countryflags/UA.png"
+  "countryflags/UG.png"
+  "countryflags/US.png"
+  "countryflags/UY.png"
+  "countryflags/UZ.png"
+  "countryflags/VA.png"
+  "countryflags/VC.png"
+  "countryflags/VE.png"
+  "countryflags/VG.png"
+  "countryflags/VI.png"
+  "countryflags/VN.png"
+  "countryflags/VU.png"
+  "countryflags/WF.png"
+  "countryflags/WS.png"
+  "countryflags/XBZ.png"
+  "countryflags/XCA.png"
+  "countryflags/XEN.png"
+  "countryflags/XES.png"
+  "countryflags/XGA.png"
+  "countryflags/XNI.png"
+  "countryflags/XSC.png"
+  "countryflags/XWA.png"
+  "countryflags/YE.png"
+  "countryflags/ZA.png"
+  "countryflags/ZM.png"
+  "countryflags/ZW.png"
+  "countryflags/default.png"
+  "countryflags/index.json"
+  "data/audio/dominating.wv"
+  "data/audio/firstblood.wv"
+  "data/audio/foley_body_impact-01.wv"
+  "data/audio/foley_body_impact-02.wv"
+  "data/audio/foley_body_impact-03.wv"
+  "data/audio/foley_body_splat-01.wv"
+  "data/audio/foley_body_splat-02.wv"
+  "data/audio/foley_body_splat-03.wv"
+  "data/audio/foley_body_splat-04.wv"
+  "data/audio/foley_dbljump-01.wv"
+  "data/audio/foley_dbljump-02.wv"
+  "data/audio/foley_dbljump-03.wv"
+  "data/audio/foley_foot_left-01.wv"
+  "data/audio/foley_foot_left-02.wv"
+  "data/audio/foley_foot_left-03.wv"
+  "data/audio/foley_foot_left-04.wv"
+  "data/audio/foley_foot_right-01.wv"
+  "data/audio/foley_foot_right-02.wv"
+  "data/audio/foley_foot_right-03.wv"
+  "data/audio/foley_foot_right-04.wv"
+  "data/audio/foley_land-01.wv"
+  "data/audio/foley_land-02.wv"
+  "data/audio/foley_land-03.wv"
+  "data/audio/foley_land-04.wv"
+  "data/audio/godlike.wv"
+  "data/audio/holyshit.wv"
+  "data/audio/hook_attach-01.wv"
+  "data/audio/hook_attach-02.wv"
+  "data/audio/hook_attach-03.wv"
+  "data/audio/hook_loop-01.wv"
+  "data/audio/hook_loop-02.wv"
+  "data/audio/hook_noattach-01.wv"
+  "data/audio/hook_noattach-02.wv"
+  "data/audio/hook_noattach-03.wv"
+  "data/audio/humiliation.wv"
+  "data/audio/killingspree.wv"
+  "data/audio/music_menu.wv"
+  "data/audio/preparetofight.wv"
+  "data/audio/preparetokill.wv"
+  "data/audio/rampage.wv"
+  "data/audio/sfx_ctf_cap_pl.wv"
+  "data/audio/sfx_ctf_drop.wv"
+  "data/audio/sfx_ctf_grab_en.wv"
+  "data/audio/sfx_ctf_grab_pl.wv"
+  "data/audio/sfx_ctf_rtn.wv"
+  "data/audio/sfx_hit_strong-01.wv"
+  "data/audio/sfx_hit_strong-02.wv"
+  "data/audio/sfx_hit_weak-01.wv"
+  "data/audio/sfx_hit_weak-02.wv"
+  "data/audio/sfx_hit_weak-03.wv"
+  "data/audio/sfx_msg-client.wv"
+  "data/audio/sfx_msg-highlight.wv"
+  "data/audio/sfx_msg-server.wv"
+  "data/audio/sfx_pickup_arm-01.wv"
+  "data/audio/sfx_pickup_arm-02.wv"
+  "data/audio/sfx_pickup_arm-03.wv"
+  "data/audio/sfx_pickup_arm-04.wv"
+  "data/audio/sfx_pickup_gun.wv"
+  "data/audio/sfx_pickup_hrt-01.wv"
+  "data/audio/sfx_pickup_hrt-02.wv"
+  "data/audio/sfx_pickup_launcher.wv"
+  "data/audio/sfx_pickup_ninja.wv"
+  "data/audio/sfx_pickup_sg.wv"
+  "data/audio/sfx_skid-01.wv"
+  "data/audio/sfx_skid-02.wv"
+  "data/audio/sfx_skid-03.wv"
+  "data/audio/sfx_skid-04.wv"
+  "data/audio/sfx_spawn_wpn-01.wv"
+  "data/audio/sfx_spawn_wpn-02.wv"
+  "data/audio/sfx_spawn_wpn-03.wv"
+  "data/audio/unstoppable.wv"
+  "data/audio/vo_teefault_cry-01.wv"
+  "data/audio/vo_teefault_cry-02.wv"
+  "data/audio/vo_teefault_ninja-01.wv"
+  "data/audio/vo_teefault_ninja-02.wv"
+  "data/audio/vo_teefault_ninja-03.wv"
+  "data/audio/vo_teefault_ninja-04.wv"
+  "data/audio/vo_teefault_pain_long-01.wv"
+  "data/audio/vo_teefault_pain_long-02.wv"
+  "data/audio/vo_teefault_pain_short-01.wv"
+  "data/audio/vo_teefault_pain_short-02.wv"
+  "data/audio/vo_teefault_pain_short-03.wv"
+  "data/audio/vo_teefault_pain_short-04.wv"
+  "data/audio/vo_teefault_pain_short-05.wv"
+  "data/audio/vo_teefault_pain_short-06.wv"
+  "data/audio/vo_teefault_pain_short-07.wv"
+  "data/audio/vo_teefault_pain_short-08.wv"
+  "data/audio/vo_teefault_pain_short-09.wv"
+  "data/audio/vo_teefault_pain_short-10.wv"
+  "data/audio/vo_teefault_pain_short-11.wv"
+  "data/audio/vo_teefault_pain_short-12.wv"
+  "data/audio/vo_teefault_sledge-01.wv"
+  "data/audio/vo_teefault_sledge-02.wv"
+  "data/audio/vo_teefault_sledge-03.wv"
+  "data/audio/vo_teefault_spawn-01.wv"
+  "data/audio/vo_teefault_spawn-02.wv"
+  "data/audio/vo_teefault_spawn-03.wv"
+  "data/audio/vo_teefault_spawn-04.wv"
+  "data/audio/vo_teefault_spawn-05.wv"
+  "data/audio/vo_teefault_spawn-06.wv"
+  "data/audio/vo_teefault_spawn-07.wv"
+  "data/audio/wickedsick.wv"
+  "data/audio/wp_flump_explo-01.wv"
+  "data/audio/wp_flump_explo-02.wv"
+  "data/audio/wp_flump_explo-03.wv"
+  "data/audio/wp_flump_launch-01.wv"
+  "data/audio/wp_flump_launch-02.wv"
+  "data/audio/wp_flump_launch-03.wv"
+  "data/audio/wp_gun_fire-01.wv"
+  "data/audio/wp_gun_fire-02.wv"
+  "data/audio/wp_gun_fire-03.wv"
+  "data/audio/wp_hammer_hit-01.wv"
+  "data/audio/wp_hammer_hit-02.wv"
+  "data/audio/wp_hammer_hit-03.wv"
+  "data/audio/wp_hammer_swing-01.wv"
+  "data/audio/wp_hammer_swing-02.wv"
+  "data/audio/wp_hammer_swing-03.wv"
+  "data/audio/wp_laser_bnce-01.wv"
+  "data/audio/wp_laser_bnce-02.wv"
+  "data/audio/wp_laser_bnce-03.wv"
+  "data/audio/wp_laser_fire-01.wv"
+  "data/audio/wp_laser_fire-02.wv"
+  "data/audio/wp_laser_fire-03.wv"
+  "data/audio/wp_ninja_attack-01.wv"
+  "data/audio/wp_ninja_attack-02.wv"
+  "data/audio/wp_ninja_attack-03.wv"
+  "data/audio/wp_ninja_attack-04.wv"
+  "data/audio/wp_ninja_hit-01.wv"
+  "data/audio/wp_ninja_hit-02.wv"
+  "data/audio/wp_ninja_hit-03.wv"
+  "data/audio/wp_ninja_hit-04.wv"
+  "data/audio/wp_noammo-01.wv"
+  "data/audio/wp_noammo-02.wv"
+  "data/audio/wp_noammo-03.wv"
+  "data/audio/wp_noammo-04.wv"
+  "data/audio/wp_noammo-05.wv"
+  "data/audio/wp_shotty_fire-01.wv"
+  "data/audio/wp_shotty_fire-02.wv"
+  "data/audio/wp_shotty_fire-03.wv"
+  "data/audio/wp_switch-01.wv"
+  "data/audio/wp_switch-02.wv"
+  "data/audio/wp_switch-03.wv"
+  "data/countryflags/AD.png"
+  "data/countryflags/AE.png"
+  "data/countryflags/AF.png"
+  "data/countryflags/AG.png"
+  "data/countryflags/AI.png"
+  "data/countryflags/AL.png"
+  "data/countryflags/AM.png"
+  "data/countryflags/AO.png"
+  "data/countryflags/AR.png"
+  "data/countryflags/AS.png"
+  "data/countryflags/AT.png"
+  "data/countryflags/AU.png"
+  "data/countryflags/AW.png"
+  "data/countryflags/AX.png"
+  "data/countryflags/AZ.png"
+  "data/countryflags/BA.png"
+  "data/countryflags/BB.png"
+  "data/countryflags/BD.png"
+  "data/countryflags/BE.png"
+  "data/countryflags/BF.png"
+  "data/countryflags/BG.png"
+  "data/countryflags/BH.png"
+  "data/countryflags/BI.png"
+  "data/countryflags/BJ.png"
+  "data/countryflags/BL.png"
+  "data/countryflags/BM.png"
+  "data/countryflags/BN.png"
+  "data/countryflags/BO.png"
+  "data/countryflags/BR.png"
+  "data/countryflags/BS.png"
+  "data/countryflags/BT.png"
+  "data/countryflags/BW.png"
+  "data/countryflags/BY.png"
+  "data/countryflags/BZ.png"
+  "data/countryflags/CA.png"
+  "data/countryflags/CC.png"
+  "data/countryflags/CD.png"
+  "data/countryflags/CF.png"
+  "data/countryflags/CG.png"
+  "data/countryflags/CH.png"
+  "data/countryflags/CI.png"
+  "data/countryflags/CK.png"
+  "data/countryflags/CL.png"
+  "data/countryflags/CM.png"
+  "data/countryflags/CN.png"
+  "data/countryflags/CO.png"
+  "data/countryflags/CR.png"
+  "data/countryflags/CU.png"
+  "data/countryflags/CV.png"
+  "data/countryflags/CW.png"
+  "data/countryflags/CX.png"
+  "data/countryflags/CY.png"
+  "data/countryflags/CZ.png"
+  "data/countryflags/DE.png"
+  "data/countryflags/DJ.png"
+  "data/countryflags/DK.png"
+  "data/countryflags/DM.png"
+  "data/countryflags/DO.png"
+  "data/countryflags/DZ.png"
+  "data/countryflags/EC.png"
+  "data/countryflags/EE.png"
+  "data/countryflags/EG.png"
+  "data/countryflags/EH.png"
+  "data/countryflags/ER.png"
+  "data/countryflags/ES.png"
+  "data/countryflags/ET.png"
+  "data/countryflags/FI.png"
+  "data/countryflags/FJ.png"
+  "data/countryflags/FK.png"
+  "data/countryflags/FM.png"
+  "data/countryflags/FO.png"
+  "data/countryflags/FR.png"
+  "data/countryflags/GA.png"
+  "data/countryflags/GB.png"
+  "data/countryflags/GD.png"
+  "data/countryflags/GE.png"
+  "data/countryflags/GF.png"
+  "data/countryflags/GG.png"
+  "data/countryflags/GH.png"
+  "data/countryflags/GI.png"
+  "data/countryflags/GL.png"
+  "data/countryflags/GM.png"
+  "data/countryflags/GN.png"
+  "data/countryflags/GP.png"
+  "data/countryflags/GQ.png"
+  "data/countryflags/GR.png"
+  "data/countryflags/GS.png"
+  "data/countryflags/GT.png"
+  "data/countryflags/GU.png"
+  "data/countryflags/GW.png"
+  "data/countryflags/GY.png"
+  "data/countryflags/HK.png"
+  "data/countryflags/HN.png"
+  "data/countryflags/HR.png"
+  "data/countryflags/HT.png"
+  "data/countryflags/HU.png"
+  "data/countryflags/ID.png"
+  "data/countryflags/IE.png"
+  "data/countryflags/IL.png"
+  "data/countryflags/IM.png"
+  "data/countryflags/IN.png"
+  "data/countryflags/IO.png"
+  "data/countryflags/IQ.png"
+  "data/countryflags/IR.png"
+  "data/countryflags/IS.png"
+  "data/countryflags/IT.png"
+  "data/countryflags/JE.png"
+  "data/countryflags/JM.png"
+  "data/countryflags/JO.png"
+  "data/countryflags/JP.png"
+  "data/countryflags/KE.png"
+  "data/countryflags/KG.png"
+  "data/countryflags/KH.png"
+  "data/countryflags/KI.png"
+  "data/countryflags/KM.png"
+  "data/countryflags/KN.png"
+  "data/countryflags/KP.png"
+  "data/countryflags/KR.png"
+  "data/countryflags/KW.png"
+  "data/countryflags/KY.png"
+  "data/countryflags/KZ.png"
+  "data/countryflags/LA.png"
+  "data/countryflags/LB.png"
+  "data/countryflags/LC.png"
+  "data/countryflags/LI.png"
+  "data/countryflags/LK.png"
+  "data/countryflags/LR.png"
+  "data/countryflags/LS.png"
+  "data/countryflags/LT.png"
+  "data/countryflags/LU.png"
+  "data/countryflags/LV.png"
+  "data/countryflags/LY.png"
+  "data/countryflags/MA.png"
+  "data/countryflags/MC.png"
+  "data/countryflags/MD.png"
+  "data/countryflags/ME.png"
+  "data/countryflags/MF.png"
+  "data/countryflags/MG.png"
+  "data/countryflags/MH.png"
+  "data/countryflags/MK.png"
+  "data/countryflags/ML.png"
+  "data/countryflags/MM.png"
+  "data/countryflags/MN.png"
+  "data/countryflags/MO.png"
+  "data/countryflags/MP.png"
+  "data/countryflags/MQ.png"
+  "data/countryflags/MR.png"
+  "data/countryflags/MS.png"
+  "data/countryflags/MT.png"
+  "data/countryflags/MU.png"
+  "data/countryflags/MV.png"
+  "data/countryflags/MW.png"
+  "data/countryflags/MX.png"
+  "data/countryflags/MY.png"
+  "data/countryflags/MZ.png"
+  "data/countryflags/NA.png"
+  "data/countryflags/NC.png"
+  "data/countryflags/NE.png"
+  "data/countryflags/NF.png"
+  "data/countryflags/NG.png"
+  "data/countryflags/NI.png"
+  "data/countryflags/NL.png"
+  "data/countryflags/NO.png"
+  "data/countryflags/NP.png"
+  "data/countryflags/NR.png"
+  "data/countryflags/NU.png"
+  "data/countryflags/NZ.png"
+  "data/countryflags/OM.png"
+  "data/countryflags/PA.png"
+  "data/countryflags/PE.png"
+  "data/countryflags/PF.png"
+  "data/countryflags/PG.png"
+  "data/countryflags/PH.png"
+  "data/countryflags/PK.png"
+  "data/countryflags/PL.png"
+  "data/countryflags/PM.png"
+  "data/countryflags/PN.png"
+  "data/countryflags/PR.png"
+  "data/countryflags/PS.png"
+  "data/countryflags/PT.png"
+  "data/countryflags/PW.png"
+  "data/countryflags/PY.png"
+  "data/countryflags/QA.png"
+  "data/countryflags/RE.png"
+  "data/countryflags/RO.png"
+  "data/countryflags/RS.png"
+  "data/countryflags/RU.png"
+  "data/countryflags/RW.png"
+  "data/countryflags/SA.png"
+  "data/countryflags/SB.png"
+  "data/countryflags/SC.png"
+  "data/countryflags/SD.png"
+  "data/countryflags/SE.png"
+  "data/countryflags/SG.png"
+  "data/countryflags/SH.png"
+  "data/countryflags/SI.png"
+  "data/countryflags/SK.png"
+  "data/countryflags/SL.png"
+  "data/countryflags/SM.png"
+  "data/countryflags/SN.png"
+  "data/countryflags/SO.png"
+  "data/countryflags/SR.png"
+  "data/countryflags/SS.png"
+  "data/countryflags/ST.png"
+  "data/countryflags/SV.png"
+  "data/countryflags/SX.png"
+  "data/countryflags/SY.png"
+  "data/countryflags/SZ.png"
+  "data/countryflags/TC.png"
+  "data/countryflags/TD.png"
+  "data/countryflags/TF.png"
+  "data/countryflags/TG.png"
+  "data/countryflags/TH.png"
+  "data/countryflags/TJ.png"
+  "data/countryflags/TK.png"
+  "data/countryflags/TL.png"
+  "data/countryflags/TM.png"
+  "data/countryflags/TN.png"
+  "data/countryflags/TO.png"
+  "data/countryflags/TR.png"
+  "data/countryflags/TT.png"
+  "data/countryflags/TV.png"
+  "data/countryflags/TW.png"
+  "data/countryflags/TZ.png"
+  "data/countryflags/UA.png"
+  "data/countryflags/UG.png"
+  "data/countryflags/US.png"
+  "data/countryflags/UY.png"
+  "data/countryflags/UZ.png"
+  "data/countryflags/VA.png"
+  "data/countryflags/VC.png"
+  "data/countryflags/VE.png"
+  "data/countryflags/VG.png"
+  "data/countryflags/VI.png"
+  "data/countryflags/VN.png"
+  "data/countryflags/VU.png"
+  "data/countryflags/WF.png"
+  "data/countryflags/WS.png"
+  "data/countryflags/XBZ.png"
+  "data/countryflags/XCA.png"
+  "data/countryflags/XEN.png"
+  "data/countryflags/XES.png"
+  "data/countryflags/XGA.png"
+  "data/countryflags/XNI.png"
+  "data/countryflags/XSC.png"
+  "data/countryflags/XWA.png"
+  "data/countryflags/YE.png"
+  "data/countryflags/ZA.png"
+  "data/countryflags/ZM.png"
+  "data/countryflags/ZW.png"
+  "data/countryflags/default.png"
+  "data/countryflags/index.json"
+  "data/deadtee.png"
+  "data/editor/automap/desert_main.json"
+  "data/editor/automap/grass_doodads.json"
+  "data/editor/automap/grass_main.json"
+  "data/editor/automap/jungle_main.json"
+  "data/editor/automap/winter_main.json"
+  "data/editor/background.png"
+  "data/editor/checker.png"
+  "data/editor/cursor.png"
+  "data/editor/entities.png"
+  "data/editor/entities_auto.png"
+  "data/editor/entities_clear.png"
+  "data/editor/entities_teleport.png"
+  "data/emoticons.png"
+  "data/fonts/DejaVuSans.ttf"
+  "data/game.png"
+  "data/gamer_icon.png"
+  "data/languages/belarusian.json"
+  "data/languages/bosnian.json"
+  "data/languages/brazilian_portuguese.json"
+  "data/languages/breton.json"
+  "data/languages/bulgarian.json"
+  "data/languages/catalan.json"
+  "data/languages/chuvash.json"
+  "data/languages/czech.json"
+  "data/languages/danish.json"
+  "data/languages/dutch.json"
+  "data/languages/esperanto.json"
+  "data/languages/estonian.json"
+  "data/languages/finnish.json"
+  "data/languages/french.json"
+  "data/languages/gaelic_scottish.json"
+  "data/languages/galician.json"
+  "data/languages/german.json"
+  "data/languages/greek.json"
+  "data/languages/hungarian.json"
+  "data/languages/index.json"
+  "data/languages/irish.json"
+  "data/languages/italian.json"
+  "data/languages/japanese.json"
+  "data/languages/korean.json"
+  "data/languages/kyrgyz.json"
+  "data/languages/license.txt"
+  "data/languages/lithuanian.json"
+  "data/languages/norwegian.json"
+  "data/languages/polish.json"
+  "data/languages/portuguese.json"
+  "data/languages/readme.txt"
+  "data/languages/romanian.json"
+  "data/languages/russian.json"
+  "data/languages/serbian.json"
+  "data/languages/simplified_chinese.json"
+  "data/languages/slovak.json"
+  "data/languages/slovenian.json"
+  "data/languages/spanish.json"
+  "data/languages/swedish.json"
+  "data/languages/traditional_chinese.json"
+  "data/languages/turkish.json"
+  "data/languages/ukrainian.json"
+  "data/mapres/_entities_race.png"
+  "data/mapres/_letters.png"
+  "data/mapres/bg_cloud1.png"
+  "data/mapres/bg_cloud2.png"
+  "data/mapres/bg_cloud3.png"
+  "data/mapres/desert_doodads.png"
+  "data/mapres/desert_main.png"
+  "data/mapres/desert_mountains.png"
+  "data/mapres/desert_mountains2.png"
+  "data/mapres/desert_sun.png"
+  "data/mapres/easter.png"
+  "data/mapres/generic_deathtiles.png"
+  "data/mapres/generic_lamps.png"
+  "data/mapres/generic_shadows.png"
+  "data/mapres/generic_unhookable.png"
+  "data/mapres/grass_doodads.png"
+  "data/mapres/grass_main.png"
+  "data/mapres/jungle_background.png"
+  "data/mapres/jungle_deathtiles.png"
+  "data/mapres/jungle_doodads.png"
+  "data/mapres/jungle_main.png"
+  "data/mapres/jungle_midground.png"
+  "data/mapres/jungle_unhookables.png"
+  "data/mapres/light.png"
+  "data/mapres/moon.png"
+  "data/mapres/mountains.png"
+  "data/mapres/snow.png"
+  "data/mapres/stars.png"
+  "data/mapres/sun.png"
+  "data/mapres/winter_doodads.png"
+  "data/mapres/winter_main.png"
+  "data/mapres/winter_mountains.png"
+  "data/mapres/winter_mountains2.png"
+  "data/mapres/winter_mountains3.png"
+  "data/maps/ctf1.map"
+  "data/maps/ctf2.map"
+  "data/maps/ctf3.map"
+  "data/maps/ctf4.map"
+  "data/maps/ctf5.map"
+  "data/maps/ctf6.map"
+  "data/maps/ctf7.map"
+  "data/maps/ctf8.map"
+  "data/maps/dm1.map"
+  "data/maps/dm2.map"
+  "data/maps/dm3.map"
+  "data/maps/dm6.map"
+  "data/maps/dm7.map"
+  "data/maps/dm8.map"
+  "data/maps/dm9.map"
+  "data/maps/license.txt"
+  "data/maps/lms1.map"
+  "data/maps/readme.txt"
+  "data/particles.png"
+  "data/shield.png"
+  "data/skins/bluekitty.json"
+  "data/skins/bluestripe.json"
+  "data/skins/body/bear.png"
+  "data/skins/body/kitty.png"
+  "data/skins/body/standard.png"
+  "data/skins/body/x_ninja.png"
+  "data/skins/bot.png"
+  "data/skins/brownbear.json"
+  "data/skins/cammo.json"
+  "data/skins/cammostripes.json"
+  "data/skins/decoration/hair.png"
+  "data/skins/decoration/twinbopp.png"
+  "data/skins/decoration/unibop.png"
+  "data/skins/default.json"
+  "data/skins/eyes/standard.png"
+  "data/skins/eyes/standardreal.png"
+  "data/skins/eyes/x_ninja.png"
+  "data/skins/feet/standard.png"
+  "data/skins/hands/standard.png"
+  "data/skins/koala.json"
+  "data/skins/limekitty.json"
+  "data/skins/marking/bear.png"
+  "data/skins/marking/cammo1.png"
+  "data/skins/marking/cammo2.png"
+  "data/skins/marking/cammostripes.png"
+  "data/skins/marking/donny.png"
+  "data/skins/marking/duodonny.png"
+  "data/skins/marking/saddo.png"
+  "data/skins/marking/stripe.png"
+  "data/skins/marking/stripes.png"
+  "data/skins/marking/toptri.png"
+  "data/skins/marking/twintri.png"
+  "data/skins/marking/uppy.png"
+  "data/skins/marking/warpaint.png"
+  "data/skins/marking/whisker.png"
+  "data/skins/pinky.json"
+  "data/skins/redbopp.json"
+  "data/skins/redstripe.json"
+  "data/skins/saddo.json"
+  "data/skins/toptri.json"
+  "data/skins/twinbop.json"
+  "data/skins/twintri.json"
+  "data/skins/warpaint.json"
+  "data/skins/x_ninja.json"
+  "data/skins/xmas_hat.png"
+  "data/ui/blob.png"
+  "data/ui/console.png"
+  "data/ui/console_bar.png"
+  "data/ui/debug_font.png"
+  "data/ui/demo_buttons.png"
+  "data/ui/file_icons.png"
+  "data/ui/gametypes/ctf.png"
+  "data/ui/gametypes/ddrace.png"
+  "data/ui/gametypes/dm.png"
+  "data/ui/gametypes/ictf).png"
+  "data/ui/gametypes/ictf.png"
+  "data/ui/gametypes/idm).png"
+  "data/ui/gametypes/idm.png"
+  "data/ui/gametypes/ilms).png"
+  "data/ui/gametypes/ilms.png"
+  "data/ui/gametypes/ilts).png"
+  "data/ui/gametypes/ilts.png"
+  "data/ui/gametypes/itdm).png"
+  "data/ui/gametypes/itdm.png"
+  "data/ui/gametypes/lms.png"
+  "data/ui/gametypes/lts.png"
+  "data/ui/gametypes/mod.png"
+  "data/ui/gametypes/race.png"
+  "data/ui/gametypes/tdm.png"
+  "data/ui/gametypes/zomb.png"
+  "data/ui/gui_buttons.png"
+  "data/ui/gui_cursor.png"
+  "data/ui/gui_icons.png"
+  "data/ui/gui_logo.png"
+  "data/ui/icons/arrows.png"
+  "data/ui/icons/browse.png"
+  "data/ui/icons/chat_whisper.png"
+  "data/ui/icons/friend.png"
+  "data/ui/icons/level.png"
+  "data/ui/icons/menu.png"
+  "data/ui/icons/sidebar.png"
+  "data/ui/icons/tools.png"
+  "data/ui/menuimages/demos.png"
+  "data/ui/menuimages/editor.png"
+  "data/ui/menuimages/local_server.png"
+  "data/ui/menuimages/play_game.png"
+  "data/ui/menuimages/settings.png"
+  "data/ui/no_skinpart.png"
+  "data/ui/sound_icons.png"
+  "data/ui/themes/heavens.png"
+  "data/ui/themes/heavens_day.map"
+  "data/ui/themes/heavens_night.map"
+  "data/ui/themes/jungle.png"
+  "data/ui/themes/jungle_day.map"
+  "data/ui/themes/jungle_night.map"
+  "data/ui/themes/none.png"
+  "deadtee.png"
+  "editor/automap/desert_main.json"
+  "editor/automap/grass_doodads.json"
+  "editor/automap/grass_main.json"
+  "editor/automap/jungle_main.json"
+  "editor/automap/winter_main.json"
+  "editor/background.png"
+  "editor/checker.png"
+  "editor/cursor.png"
+  "editor/entities.png"
+  "editor/entities_auto.png"
+  "editor/entities_clear.png"
+  "editor/entities_teleport.png"
+  "emoticons.png"
+  "fonts/DejaVuSans.ttf"
+  "game.png"
+  "gamer_icon.png"
+  "languages/belarusian.json"
+  "languages/bosnian.json"
+  "languages/brazilian_portuguese.json"
+  "languages/breton.json"
+  "languages/bulgarian.json"
+  "languages/catalan.json"
+  "languages/chuvash.json"
+  "languages/czech.json"
+  "languages/danish.json"
+  "languages/dutch.json"
+  "languages/esperanto.json"
+  "languages/estonian.json"
+  "languages/finnish.json"
+  "languages/french.json"
+  "languages/gaelic_scottish.json"
+  "languages/galician.json"
+  "languages/german.json"
+  "languages/greek.json"
+  "languages/hungarian.json"
+  "languages/index.json"
+  "languages/irish.json"
+  "languages/italian.json"
+  "languages/japanese.json"
+  "languages/korean.json"
+  "languages/kyrgyz.json"
+  "languages/license.txt"
+  "languages/lithuanian.json"
+  "languages/norwegian.json"
+  "languages/polish.json"
+  "languages/portuguese.json"
+  "languages/readme.txt"
+  "languages/romanian.json"
+  "languages/russian.json"
+  "languages/serbian.json"
+  "languages/simplified_chinese.json"
+  "languages/slovak.json"
+  "languages/slovenian.json"
+  "languages/spanish.json"
+  "languages/swedish.json"
+  "languages/traditional_chinese.json"
+  "languages/turkish.json"
+  "languages/ukrainian.json"
+  "mapres/_entities_race.png"
+  "mapres/_letters.png"
+  "mapres/bg_cloud1.png"
+  "mapres/bg_cloud2.png"
+  "mapres/bg_cloud3.png"
+  "mapres/desert_doodads.png"
+  "mapres/desert_main.png"
+  "mapres/desert_mountains.png"
+  "mapres/desert_mountains2.png"
+  "mapres/desert_sun.png"
+  "mapres/easter.png"
+  "mapres/generic_deathtiles.png"
+  "mapres/generic_lamps.png"
+  "mapres/generic_shadows.png"
+  "mapres/generic_unhookable.png"
+  "mapres/grass_doodads.png"
+  "mapres/grass_main.png"
+  "mapres/jungle_background.png"
+  "mapres/jungle_deathtiles.png"
+  "mapres/jungle_doodads.png"
+  "mapres/jungle_main.png"
+  "mapres/jungle_midground.png"
+  "mapres/jungle_unhookables.png"
+  "mapres/light.png"
+  "mapres/moon.png"
+  "mapres/mountains.png"
+  "mapres/snow.png"
+  "mapres/stars.png"
+  "mapres/sun.png"
+  "mapres/winter_doodads.png"
+  "mapres/winter_main.png"
+  "mapres/winter_mountains.png"
+  "mapres/winter_mountains2.png"
+  "mapres/winter_mountains3.png"
+  "maps/ctf1.map"
+  "maps/ctf2.map"
+  "maps/ctf3.map"
+  "maps/ctf4.map"
+  "maps/ctf5.map"
+  "maps/ctf6.map"
+  "maps/ctf7.map"
+  "maps/ctf8.map"
+  "maps/dm1.map"
+  "maps/dm2.map"
+  "maps/dm3.map"
+  "maps/dm6.map"
+  "maps/dm7.map"
+  "maps/dm8.map"
+  "maps/dm9.map"
+  "maps/license.txt"
+  "maps/lms1.map"
+  "maps/readme.txt"
+  "particles.png"
+  "shield.png"
+  "skins/bluekitty.json"
+  "skins/bluestripe.json"
+  "skins/body/bear.png"
+  "skins/body/kitty.png"
+  "skins/body/standard.png"
+  "skins/body/x_ninja.png"
+  "skins/bot.png"
+  "skins/brownbear.json"
+  "skins/cammo.json"
+  "skins/cammostripes.json"
+  "skins/decoration/hair.png"
+  "skins/decoration/twinbopp.png"
+  "skins/decoration/unibop.png"
+  "skins/default.json"
+  "skins/eyes/standard.png"
+  "skins/eyes/standardreal.png"
+  "skins/eyes/x_ninja.png"
+  "skins/feet/standard.png"
+  "skins/hands/standard.png"
+  "skins/koala.json"
+  "skins/limekitty.json"
+  "skins/marking/bear.png"
+  "skins/marking/cammo1.png"
+  "skins/marking/cammo2.png"
+  "skins/marking/cammostripes.png"
+  "skins/marking/donny.png"
+  "skins/marking/duodonny.png"
+  "skins/marking/saddo.png"
+  "skins/marking/stripe.png"
+  "skins/marking/stripes.png"
+  "skins/marking/toptri.png"
+  "skins/marking/twintri.png"
+  "skins/marking/uppy.png"
+  "skins/marking/warpaint.png"
+  "skins/marking/whisker.png"
+  "skins/pinky.json"
+  "skins/redbopp.json"
+  "skins/redstripe.json"
+  "skins/saddo.json"
+  "skins/toptri.json"
+  "skins/twinbop.json"
+  "skins/twintri.json"
+  "skins/warpaint.json"
+  "skins/x_ninja.json"
+  "skins/xmas_hat.png"
+  "ui/blob.png"
+  "ui/console.png"
+  "ui/console_bar.png"
+  "ui/debug_font.png"
+  "ui/demo_buttons.png"
+  "ui/file_icons.png"
+  "ui/gametypes/ctf.png"
+  "ui/gametypes/ddrace.png"
+  "ui/gametypes/dm.png"
+  "ui/gametypes/ictf).png"
+  "ui/gametypes/ictf.png"
+  "ui/gametypes/idm).png"
+  "ui/gametypes/idm.png"
+  "ui/gametypes/ilms).png"
+  "ui/gametypes/ilms.png"
+  "ui/gametypes/ilts).png"
+  "ui/gametypes/ilts.png"
+  "ui/gametypes/itdm).png"
+  "ui/gametypes/itdm.png"
+  "ui/gametypes/lms.png"
+  "ui/gametypes/lts.png"
+  "ui/gametypes/mod.png"
+  "ui/gametypes/race.png"
+  "ui/gametypes/tdm.png"
+  "ui/gametypes/zomb.png"
+  "ui/gui_buttons.png"
+  "ui/gui_cursor.png"
+  "ui/gui_icons.png"
+  "ui/gui_logo.png"
+  "ui/icons/arrows.png"
+  "ui/icons/browse.png"
+  "ui/icons/chat_whisper.png"
+  "ui/icons/friend.png"
+  "ui/icons/level.png"
+  "ui/icons/menu.png"
+  "ui/icons/sidebar.png"
+  "ui/icons/tools.png"
+  "ui/menuimages/demos.png"
+  "ui/menuimages/editor.png"
+  "ui/menuimages/local_server.png"
+  "ui/menuimages/play_game.png"
+  "ui/menuimages/settings.png"
+  "ui/no_skinpart.png"
+  "ui/sound_icons.png"
+  "ui/themes/heavens.png"
+  "ui/themes/heavens_day.map"
+  "ui/themes/heavens_night.map"
+  "ui/themes/jungle.png"
+  "ui/themes/jungle_day.map"
+  "ui/themes/jungle_night.map"
+  "ui/themes/none.png"
 )
 
 if(NOT EXISTS ${PROJECT_SOURCE_DIR}/datasrc/languages/index.json)
@@ -1248,9 +1895,11 @@ set_src(GAME_SHARED GLOB src/game
   collision.h
   gamecore.cpp
   gamecore.h
+  gamer_vars.h
   layers.cpp
   layers.h
   mapitems.h
+  teecomp_vars.h
   tuning.h
   variables.h
   version.h
@@ -1306,6 +1955,10 @@ if(CLIENT)
     animstate.cpp
     animstate.h
     component.h
+    components/announcers.cpp
+    components/announcers.h
+    components/auto_tile.cpp
+    components/auto_tile.h
     components/binds.cpp
     components/binds.h
     components/broadcast.cpp
@@ -1345,10 +1998,12 @@ if(CLIENT)
     components/menus_browser.cpp
     components/menus_callback.cpp
     components/menus_demo.cpp
+    components/menus_gamer.cpp
     components/menus_ingame.cpp
     components/menus_popups.cpp
     components/menus_settings.cpp
     components/menus_start.cpp
+    components/menus_teecomp.cpp
     components/motd.cpp
     components/motd.h
     components/nameplates.cpp
@@ -1380,6 +2035,8 @@ if(CLIENT)
     render.cpp
     render.h
     render_map.cpp
+    teecomp.cpp
+    teecomp.h
     ui.cpp
     ui.h
   )
diff --git a/scripts/make_release.py b/scripts/make_release.py
index 862584e6..f586bda3 100644
--- a/scripts/make_release.py
+++ b/scripts/make_release.py
@@ -179,7 +179,8 @@ if use_bundle:
 	os.system("cp /usr/local/opt/libpng/lib/libpng16.16.dylib " + clientbundle_framework_dir)
 	os.system("cp /usr/local/opt/sdl2/lib/libSDL2-2.0.0.dylib " + clientbundle_framework_dir)
 	os.system("install_name_tool -change /usr/local/opt/libpng/lib/libpng16.16.dylib @executable_path/../Frameworks/libpng16.16.dylib " + freetypelib_path)
-	open(os.path.join(clientbundle_content_dir, "Info.plist"), "w").write("""
+	with open(os.path.join(clientbundle_content_dir, "Info.plist"), "w") as f:
+		f.write("""
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
@@ -205,7 +206,8 @@ if use_bundle:
 </dict>
 </plist>
 	""" % (version))
-	open(os.path.join(clientbundle_content_dir, "PkgInfo"), "w").write("APPL????")
+	with open(os.path.join(clientbundle_content_dir, "PkgInfo"), "w") as f:
+		f.write("APPL????")
 
 	# create Teeworlds Server appfolder
 	serverbundle_content_dir = os.path.join(package_dir, "Teeworlds Server.app/Contents")
@@ -222,7 +224,8 @@ if use_bundle:
 	shutil.copy("other/icons/Teeworlds_srv.icns", serverbundle_resource_dir)
 	shutil.copy(source_package_dir+name+"_srv"+exe_ext, serverbundle_bin_dir)
 	shutil.copy(source_package_dir+"serverlaunch"+exe_ext, serverbundle_bin_dir + "/"+name+"_server")
-	open(os.path.join(serverbundle_content_dir, "Info.plist"), "w").write("""
+	with open(os.path.join(serverbundle_content_dir, "Info.plist"), "w") as f:
+		f.write("""
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
@@ -244,7 +247,8 @@ if use_bundle:
 </dict>
 </plist>
 	""" % (version))
-	open(os.path.join(serverbundle_content_dir, "PkgInfo"), "w").write("APPL????")
+	with open(os.path.join(serverbundle_content_dir, "PkgInfo"), "w") as f:
+		f.write("APPL????")
 
 if use_zip:
 	print("making zip archive")
diff --git a/src/game/client/components/menus.h b/src/game/client/components/menus.h
index c790b603..46815ad6 100644
--- a/src/game/client/components/menus.h
+++ b/src/game/client/components/menus.h
@@ -684,7 +684,8 @@ private:
 	{
 		int m_HLPicker;
 		CMenus::CButtonContainer m_aButtons[12];
-		bool m_Enabled = true;
+		bool m_Enabled;
+		HSLPickerState() : m_Enabled(true) {};
 	};
 	void RenderFlag(int Team, vec2 Pos);
 	ivec4 RenderHSLPicker(CUIRect MainView, int Color, bool UseAlpha, bool& Modified, HSLPickerState& State); // intermediary, used by teecomp
@@ -774,8 +775,9 @@ private:
 	{
 		CListBoxState ListBoxState;
 		const CSkins::CSkin *pSelectedSkin;
-		bool RefreshSkinSelector = true;
+		bool RefreshSkinSelector;
 		sorted_array<const CSkins::CSkin *> paSkinList;
+		SkinNameListState() : RefreshSkinSelector(true) {};
 	};
 	bool RenderSkinNameList(CUIRect MainView, char* pSkinConfig, SkinNameListState* pState);
 	
diff --git a/src/game/client/components/menus_teecomp.cpp b/src/game/client/components/menus_teecomp.cpp
index f80a0e65..b7f6e495 100644
--- a/src/game/client/components/menus_teecomp.cpp
+++ b/src/game/client/components/menus_teecomp.cpp
@@ -267,7 +267,7 @@ void CMenus::RenderSettingsTeecompSkins(CUIRect MainView)
 
 	RenderFlag(TEAM_BLUE, vec2(Button.x+40.0f, Button.y-8.0f));
 
-	CUIRect SkinSelection, List;
+	CUIRect SkinSelection;
 
 	// Custom colors team 1
 	bool CustomColorsTeam1 = g_Config.m_TcColoredTeesTeam1Hsl != -1;
@@ -369,42 +369,6 @@ void CMenus::RenderSettingsTeecompSkins(CUIRect MainView)
 
 	RightView.Margin(10.0f, &SkinSelection);
 
-#ifdef OLD_HARDCODED_LISTBOX
-	SkinSelection.HSplitTop(20, &Button, &SkinSelection);
-	RenderTools()->DrawUIRect(&Button, vec4(1,1,1,0.25f), CUI::CORNER_T, 5.0f); 
-	UI()->DoLabel(&Button, Localize("Forced skin"), 14.0f, CUI::ALIGN_CENTER);
-
-	CUIRect List2 = SkinSelection;
-	// scroll
-	static CScrollRegion s_ScrollRegion2;
-	vec2 ScrollOffset2(0, 0);
-	BeginScrollRegion(&s_ScrollRegion2, &List2, &ScrollOffset2);
-	List2.y += ScrollOffset2.y;
-	
-	for(int i=0; i<m_pClient->m_pSkins->Num(); i++)
-	{
-		List2.HSplitTop(20.0f, &Button, &List2);
-		ScrollRegionAddRect(&s_ScrollRegion2, Button);
-		
-		const CSkins::CSkin *s = m_pClient->m_pSkins->Get(i);
-
-		str_format(aBuf, sizeof(aBuf), "%s", s->m_aName);
-		int Selected = 0;
-		if(str_comp(s->m_aName, g_Config.m_TcForcedSkin2) == 0)
-			Selected = 1;
-
-		if(DoButton_ListRow(s+m_pClient->m_pSkins->Num(), "", Selected, &Button))
-		{
-			TeesNeedUpdate = true;
-			str_copy(g_Config.m_TcForcedSkin2, s->m_aName, sizeof(g_Config.m_TcForcedSkin2));
-		}
-
-		Button.VMargin(5.0f, &Button);
-		Button.HSplitTop(1.0f, 0, &Button);
-		UI()->DoLabel(&Button, aBuf, 14.0f, CUI::ALIGN_LEFT);
-	}
-	EndScrollRegion(&s_ScrollRegion2);
-#endif
 	// skin list 2
 	{
 		static SkinNameListState s_State2;
